/***********************************************************************************************************************
 *
 * blueMarine Semantic - open source media workflow
 * Copyright (C) 2008-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~semantic-src
 *
 **********************************************************************************************************************/
package it.tidalwave.semantic.persistence.impl;

import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.SQLException;
import javax.sql.DataSource;
import org.apache.commons.dbcp.BasicDataSource;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class ProxyDataSource extends BasicDataSource
  {
    private final DataSource delegate;

    public ProxyDataSource (DataSource delegate)
      {
        this.delegate = delegate;
      }

    public void setLoginTimeout (int seconds)
      throws SQLException
      {
        delegate.setLoginTimeout(seconds);
      }

    public void setLogWriter (PrintWriter out)
      throws SQLException
      {
        delegate.setLogWriter(out);
      }

    public int getLoginTimeout()
      throws SQLException
      {
        return delegate.getLoginTimeout();
      }

    public PrintWriter getLogWriter()
      throws SQLException
      {
        return delegate.getLogWriter();
      }

    public Connection getConnection (String username, String password)
      throws SQLException
      {
        return delegate.getConnection(username, password);
      }

    public Connection getConnection()
      throws SQLException
      {
        return delegate.getConnection();
      }
  }

